#!/usr/bin/python3
#
# La factorielle, calculée par récurrence
#
# À noter que la biliothèque math inclut déja une fonction pré-définie factorial()

def factorielle(n): # calcule n! recursivement
    if n < 0:  # factorielle pas définie
        print("Erreur: factorielle pas définie.")
        return
    elif n == 0:
        return 1 # 0! = 1 par définition
    else :
        return n * factorielle(n - 1)  # n! = n (n-1)!
